# this is a comment
# key -value pair
name: Jhon
age: 29
isMale: true

#list
# way1
stuff:
  - laptop
  - car
  - bike

# way2
food: [ laptop, car, bike ]

# Object
person:
  name: Jhon
  age: 29
  isMale: true


# List of Object
friends:
  - name: Jhon
    age: 29
    isMale: true
  - name: Doe
      age: 32
      isMale: false


# anchors in yaml 
# anchors used to avoid duplcation of value in the same object
# w/o acnchors we can see name and self name has same value if 
#one chenges we need to chnage other as well
person:
  name: Jhon
  age: 29
  isMale: true
  selfName: Jhon
# with acnchors we can see name and self name has same value if 

person:
  name: &personnNamee Jhon
  age: 29
  isMale: true
  selfName: *personnNamee